using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AssembleItem : MonoBehaviour{
	public ResourceType resourceType;
	public DragToInteractions dragInteraction;
	int id;

	public void SetInPosition(ResourceType type) {
		if (type==resourceType) {
			dragInteraction.grabbable = false;
			AssembleItemsManager.Instance.SetCompleted(id);
		}
	}

	private void Start() {
		dragInteraction.toDo = SetInPosition;
	}
}
